<template>
	<view class="content" :animation="animationData">
		<image src="/static/msjf-picture/logo.png" mode="widthFix" style="width: 50%;"></image>
		<view class="main"></view>
		<text class="c-text">科 技 赋 能 高 端 定 制 酒</text>
	</view>
	<!-- <uni-transition class="content" >
		<image src="/static/msjf-picture/msjf-08.jpg" mode="widthFix" style="width: 50%;"></image>
		<view class="main"></view>
		<text class="c-text">科 技 赋 能 高 端 定 制 酒</text>
	</uni-transition> -->
</template>

<script setup lang="ts">
import { ref, reactive } from 'vue';

import { onLoad } from '@dcloudio/uni-app';

let animationData = ref();

let userData = reactive({
	sequenceCode: '',
	userId: ''
});

onLoad(() => {
	let animation = uni.createAnimation({
		duration: 2000,
		timingFunction: 'ease-out'
	});

	animation.scale(0.5, 0.5).step();
	animationData.value = animation.export();

	setTimeout(() => {
		uni.redirectTo({
			url: `/pages/login/login`
		});
	}, 2000);
});
</script>

<style>
page {
	background-color: #fff;
}

.content {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	padding-top: 30%;
	height: 100vh;
	width: 100%;
	box-sizing: border-box;
}

.main {
	flex: 1;
}

.c-text {
	flex-grow: 0.5;
	color: #a36f54;
}
</style>
